Bug 127744 - Mozilla doesn't use esd if enable sound server startup isn't set
Mozilla doesn't use esd if enable sound server startup isn't set
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
2
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-13 05:33 EDT by Sitsofe Wheeler
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 13:49:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sitsofe Wheeler 2004-07-13 05:33:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.7)
Gecko/20040706 Firefox/0.9.1

Description of problem:
Any mozilla based browser (mozilla, firefox, epiphany) doesn't use esd
when a program another program has launched it and mozilla will
consequently grab the sound device when esd lets go of it.

Version-Release number of selected component (if applicable):
mozilla-1.6-8

How reproducible:
Always

Steps to Reproduce:
On a sound card that cannot do hardware mixing:
1. Start gnome-sound-properties. Make sure that "Enable sound server
startup" is unset (if it was you will need to log out and back in
after unsetting it)
2. Start gstreamer-properties and set the output to "ESD - Enlightment
Sound Daemon". Click Close.
3. Start gnome-keybinding-properties and bind the <Pause> key to "Play
(or Play/Pause)". Click Close.
4. Start rhythmbox and start playing a track by pressing the <Pause> key
5. Start mozilla. Once it has loaded make sure it has focus and press
the <Pause> key four times.

Actual Results:
A dialog called error appears and says "Could not open resource for
writing.". It's not completely clear which program this dialog came from.

Expected Results:
Music to start and stop.

Additional info:
The strange thing is that after dismissing the dialog you can press
pause and rhythmbox will successfully start playing music from the
start again. So it appears that mozilla grabs then releases the sound
device (the page that mozilla is on is
file:///usr/share/doc/HTML/index.html )

This bug can be worked around by making sure that "Enable sound server
startup" is set. Mozilla then appears to use esd and doesn't grab the
sound card device as soon as it becomes free when rhythmbox is paused.

I didn't know that this option had to be set in order to use esd,
perhaps I need to spin off another bug about that.
Comment 1 Matthew Miller 2005-04-26 11:29:18 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 John Thacker 2006-10-28 13:49:20 EDT
Closing per lack of response.  Note that FC1 and FC2 are no longer
supported even by Fedora Legacy.  Please install a still supported
version and retest.  If this still occurs on FC3 or FC4 and is a
security issue, please assign to that version and Fedora Legacy.  If it still
occurs on FC5 or FC6, please reopen and assign to the correct version.

mozilla itself is not shipped in FC6, so for most of these bugs that means
testing in FC5 or against firefox.

Note You need to log in before you can comment on or make changes to this bug.